From fbd2d184fb37a10ec7199ba72e83d4274a605387 Mon Sep 17 00:00:00 2001
From: Andrew Chin <achin@eminence32.net>
Date: Sat, 30 Mar 2013 23:26:52 -0400
Subject: [PATCH 07/40] In the OSX build script, link with system libs.

Previously, mosh was linking with macports-provided libs in
/opt/local/lib, which was not portable to users without macports

Closes #411
---
 macosx/build.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/macosx/build.sh b/macosx/build.sh
index 2d08801..982a6c8 100755
--- a/macosx/build.sh
+++ b/macosx/build.sh
@@ -27,14 +27,16 @@ fi
 echo "Building for x86_64..."
 ./configure --prefix="$PREFIX_x86_64" ac_cv_poll_pty=no \
     CC="clang -arch x86_64" CPP="clang -arch x86_64 -E" CXX="clang++ -arch x86_64" \
-    TINFO_LIBS=-lncurses protobuf_LIBS=/opt/local/lib/libprotobuf.a
+    TINFO_LIBS=-lncurses protobuf_LIBS=/opt/local/lib/libprotobuf.a \
+    OPENSSL_CFLAGS="  " OPENSSL_LIBS="-lssl -lcrypto -lz"
 make clean
 make install -j8
 
 echo "Building for i386..."
 ./configure --prefix="$PREFIX_i386" ac_cv_poll_pty=no \
     CC="clang -arch i386" CPP="clang -arch i386 -E" CXX="clang++ -arch i386" \
-    TINFO_LIBS=-lncurses protobuf_LIBS=/opt/local/lib/libprotobuf.a
+    TINFO_LIBS=-lncurses protobuf_LIBS=/opt/local/lib/libprotobuf.a \
+    OPENSSL_CFLAGS="  " OPENSSL_LIBS="-lssl -lcrypto -lz"
 make clean
 make install -j8
 

